package com.jscape.inet.sftp;

import com.jscape.util.SuppressObfuscation;

/**
 * @author Alex Usun
 */
@SuppressObfuscation
public class SftpTimeoutException
        extends SftpException {

    public SftpTimeoutException(String message) {
        super(message);
    }

    public SftpTimeoutException(String message, Throwable cause) {
        super(message, cause);
    }

    public SftpTimeoutException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }
}
